[PATCH] gnu: aide: Update to 0.18.8.

  • Done
  • quality assurance status badge
Details
2 participants
  • Artyom V. Poptsov
  • Zheng Junjie
Owner
unassigned
Submitted by
Artyom V. Poptsov
Severity
normal
A
A
Artyom V. Poptsov wrote on 26 May 19:17 +0200
(address . guix-patches@gnu.org)(name . Artyom V. Poptsov)(address . poptsov.artyom@gmail.com)
bfcf53b5fbbf3cfe880f23783d8c60bd9fa7fdac.1716743854.git.poptsov.artyom@gmail.com
* gnu/packages/admin.scm (aide): Update to 0.18.8.
[native-inputs]: Add "pkg-config".
[inputs]: Use "pcre2".

Change-Id: I15ae1d86ea9fdfed16e901c041bae292ec68a742
---
gnu/packages/admin.scm | 9 ++++-----
1 file changed, 4 insertions(+), 5 deletions(-)

Toggle diff (36 lines)
diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index bae9ee1308..4d4fbf55ac 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -234,23 +234,22 @@ (define-public ktsuss
(define-public aide
(package
(name "aide")
- (version "0.16.2")
+ (version "0.18.8")
(source
(origin
(method url-fetch)
(uri (string-append "https://github.com/aide/aide/releases/download/v"
version "/aide-" version ".tar.gz"))
(sha256
- (base32 "15xp47sz7kk1ciffw3f5xw2jg2mb2lqrbr3q6p4bkbz5dap9iy8p"))))
+ (base32 "0q1sp0vwrwbmw6ymw1kwd4i8walijwppa0dq61b2qzni6b32srhn"))))
(build-system gnu-build-system)
(native-inputs
- (list bison flex))
+ (list bison flex pkg-config))
(inputs
(list libgcrypt
libgpg-error
libmhash
- `(,pcre "static")
- pcre
+ pcre2
`(,zlib "static")
zlib))
(synopsis "File and directory integrity checker")

base-commit: dc8fb5672464b6386f6b4b94723f9b36edc4e625
--
2.41.0
Z
Z
Zheng Junjie wrote on 29 May 06:47 +0200
(name . Artyom V. Poptsov)(address . poptsov.artyom@gmail.com)(address . 71212@debbugs.gnu.org)
87mso9rzpv.fsf@iscas.ac.cn
"Artyom V. Poptsov" <poptsov.artyom@gmail.com> writes:

Toggle quote (44 lines)
> * gnu/packages/admin.scm (aide): Update to 0.18.8.
> [native-inputs]: Add "pkg-config".
> [inputs]: Use "pcre2".
>
> Change-Id: I15ae1d86ea9fdfed16e901c041bae292ec68a742
> ---
> gnu/packages/admin.scm | 9 ++++-----
> 1 file changed, 4 insertions(+), 5 deletions(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index bae9ee1308..4d4fbf55ac 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -234,23 +234,22 @@ (define-public ktsuss
> (define-public aide
> (package
> (name "aide")
> - (version "0.16.2")
> + (version "0.18.8")
> (source
> (origin
> (method url-fetch)
> (uri (string-append "https://github.com/aide/aide/releases/download/v"
> version "/aide-" version ".tar.gz"))
> (sha256
> - (base32 "15xp47sz7kk1ciffw3f5xw2jg2mb2lqrbr3q6p4bkbz5dap9iy8p"))))
> + (base32 "0q1sp0vwrwbmw6ymw1kwd4i8walijwppa0dq61b2qzni6b32srhn"))))
> (build-system gnu-build-system)
> (native-inputs
> - (list bison flex))
> + (list bison flex pkg-config))
> (inputs
> (list libgcrypt
> libgpg-error
> libmhash
> - `(,pcre "static")
> - pcre
> + pcre2
> `(,zlib "static")
> zlib))
> (synopsis "File and directory integrity checker")
>
> base-commit: dc8fb5672464b6386f6b4b94723f9b36edc4e625

hello, when i try 'aide -i', will report
ERROR: cannot open config file '/gnu/store/crq4phhak3pw3ihi03ywmy811qnihyx3-aide-0.18.8/etc/aide.conf': No such file or directory

can you fix it? i think it should /etc/aide.conf
-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfr6klGDOXiwIdX/bO1qpk+Gi3/AFAmZWs2wACgkQO1qpk+Gi
3/AvpQ/9HwkiwBjW7YroqgIQuN9q9kKKsZuaJeIgWy/wpamBK10EZDriHaAaGmWJ
CPwOaczk8/l8ElP3i8f+ashZbEcfRko74UJ3wVHpebL+uBvZ3UO6JUwMoTG7MfL5
t5ENimx8VW9auqUFOmJj3vcd+ZQK2/CD9tZYvrdyNj8iHksuExg69hICZRla9RaT
sZd49+Cow3BZFRlz+bBJAycDf43yQnHAInOwbFadqEMKumHmfMFJKnW78w8pfVdE
D+oo5AbH5fyGcjAZ6Kz6kbr+ZzZUkN5jzWPCREkpKKBFqBf0md5yuaNcawgsPd45
jcUFF/gjQEmdNT/FythVijCQCo9b9dpM55K77/mTXNjtJ/7drP0EKh6jwAYKOpPX
XgBaUUfLHpu5w//Sbe4Xf52qd6YeMZnQn4zLW2452jaRpRn1Rr91Fk1JE3tyUcPf
FnPrA7C4PlPW+jR0D7Fig1SIeij26wVd662vtE1baynGpW821tnXc+ZWDIRvDi10
zP75ZZYIvHWiLiyxD1MWaYW8/p263VoIezRqJS+Cd97T6E/rQdfKLOOmJSFJxlcF
IfZc8MJEM63XWJfZfk8wSmYLufMq7lROV3phpjwMXKcb4sIjy0RFQGyX6OXx33NR
DJnlz8RubzxmeLW4c9hIsOVa39v8MZ7zI5EbQKYz98vYnTLCaeQ=
=Y5WY
-----END PGP SIGNATURE-----

A
A
Artyom V. Poptsov wrote on 29 May 21:31 +0200
[PATCH v2] gnu: aide: Update to 0.18.8.
(address . 71212@debbugs.gnu.org)(name . Artyom V. Poptsov)(address . poptsov.artyom@gmail.com)
38e0ec041002b3684434772a5add5c8d62f810f3.1717011119.git.poptsov.artyom@gmail.com
* gnu/packages/admin.scm (aide): Update to 0.18.8.

[arguments]: Add configure flags to enable features "--with-posix-acl",
"--with-selinux" and "--with-xattr". Add
"--with-config-file=/etc/aide.conf" to instruct the program to use this
patch to search for the configuration file.
[native-inputs]: Add "pkg-config".
[inputs]: Use "acl", "attr", "libselinux" and "pcre2".

Change-Id: I15ae1d86ea9fdfed16e901c041bae292ec68a742
---
gnu/packages/admin.scm | 20 +++++++++++++-------
1 file changed, 13 insertions(+), 7 deletions(-)

Toggle diff (53 lines)
diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index 775083c92c..127ad2867a 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -65,7 +65,6 @@
;;; Copyright © 2023 Nicolas Graves <ngraves@ngraves.fr>
;;; Copyright © 2023 Tomás Ortín Fernández <tomasortin@mailbox.org>
;;; Copyright © 2024 dan <i@dan.games>
-;;; Copyright © 2024 Artyom V. Poptsov <poptsov.artyom@gmail.com>
;;;
;;; This file is part of GNU Guix.
;;;
@@ -234,23 +233,30 @@ (define-public ktsuss
(define-public aide
(package
(name "aide")
- (version "0.16.2")
+ (version "0.18.8")
(source
(origin
(method url-fetch)
(uri (string-append "https://github.com/aide/aide/releases/download/v"
version "/aide-" version ".tar.gz"))
(sha256
- (base32 "15xp47sz7kk1ciffw3f5xw2jg2mb2lqrbr3q6p4bkbz5dap9iy8p"))))
+ (base32 "0q1sp0vwrwbmw6ymw1kwd4i8walijwppa0dq61b2qzni6b32srhn"))))
(build-system gnu-build-system)
+ (arguments
+ (list #:configure-flags #~(list "--with-posix-acl"
+ "--with-selinux"
+ "--with-xattr"
+ "--with-config-file=/etc/aide.conf")))
(native-inputs
- (list bison flex))
+ (list bison flex pkg-config))
(inputs
- (list libgcrypt
+ (list acl
+ attr
+ libgcrypt
libgpg-error
libmhash
- `(,pcre "static")
- pcre
+ libselinux
+ pcre2
`(,zlib "static")
zlib))
(synopsis "File and directory integrity checker")

base-commit: 6f72ad465c1e2df965e8d73b209497b4ef456527
--
2.41.0
A
A
Artyom V. Poptsov wrote on 29 May 21:37 +0200
Re: [bug#71212] [PATCH] gnu: aide: Update to 0.18.8.
(name . Zheng Junjie)(address . zhengjunjie@iscas.ac.cn)(address . 71212@debbugs.gnu.org)
87zfs89zq6.fsf@gmail.com
Hello Zheng Junjie,

thank you for reviewing my patch!

Toggle quote (2 lines)
> can you fix it? i think it should /etc/aide.conf

Yes, I specified this as the path for the default configuration file.
But it should be created by the end user.

Also I've enabled some features for "aide" as it was done in Nix.[1]

Please find the second version of my patch attached to the issue.

Thanks,
- avp

References:

--
Artyom "avp" Poptsov <poptsov.artyom@gmail.com>
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE B57C E9C5 A2D9 0898 A02F
-----BEGIN PGP SIGNATURE-----

iQJNBAEBCgA3FiEEAf2F9Bp7f4IFgwalk16+BzbchX4FAmZXg/sZHHBvcHRzb3Yu
YXJ0eW9tQGdtYWlsLmNvbQAKCRCTXr4HNtyFfqXcD/0Zl/OWy/ZVNpTD/azOqQz0
/+kuvBK1IcvKz7c2g0x+SAL7mV02Vm+RcG+xYl/+fm8QVXA6o8W7cIfi2N6SwISU
+cGJWlabPgJQGQ+kUPr1e1UFbIscr4E1mOirtKqZCA+xO/muNlF3DtA25rhvSUtg
yc5qjx7zSotAqB0P3Ll6/x4Hr4bEOpDQ45J+ju4Do3JIOdOSVX4BDb34kBU6XS9W
w9s4SPRk4NtOKWBbtOEi+12gdQwyKhX4PXEQKj0XbilV/bqzJQDgDO9ddYxynpNU
asfcj+3Y6ZUnwZZop+qBWrljyGNOnxDcWEBPEXBZDmUUNvK4ffA1vgflIb4mwqU2
iPG7LvseZNBJGviXKSuAdTvmiitvXPYiMaKmj33mwaq/UKEyy2B5MiRpt+frAFS7
hsoPZHjOKjcQ+5nZ5qR9zZ+/K7IPmzMgYHy3YtZ25Pgcb5tQKQYlkmx3esIw3AYP
WjCmMUd5/fm6Z6E1GobofzF4Lu0/pZqK7tZmXRos7/pviPoNHl9ilnTMSEJkzTas
mmLbpu/hWJkE0JQl6fcjrB42SVJruAPZzjCXMZO/UO8ign7UZx6phmCa5zMg2EOu
oHBIs6l9siO53qQ2GcS6I1njGtvXzA+CYn3GO0cuuMC4jrunNKvgcUZ2kNxEzXob
GBVc9zRiDAtPoQ7FpCllAg==
=yQfU
-----END PGP SIGNATURE-----

Z
Z
Zheng Junjie wrote on 31 May 13:50 +0200
Re: [bug#71212] [PATCH v2] gnu: aide: Update to 0.18.8.
(name . Artyom V. Poptsov)(address . poptsov.artyom@gmail.com)(address . 71212-done@debbugs.gnu.org)
877cfaryiw.fsf@iscas.ac.cn
"Artyom V. Poptsov" <poptsov.artyom@gmail.com> writes:

Toggle quote (66 lines)
> * gnu/packages/admin.scm (aide): Update to 0.18.8.
>
> [arguments]: Add configure flags to enable features "--with-posix-acl",
> "--with-selinux" and "--with-xattr". Add
> "--with-config-file=/etc/aide.conf" to instruct the program to use this
> patch to search for the configuration file.
> [native-inputs]: Add "pkg-config".
> [inputs]: Use "acl", "attr", "libselinux" and "pcre2".
>
> Change-Id: I15ae1d86ea9fdfed16e901c041bae292ec68a742
> ---
> gnu/packages/admin.scm | 20 +++++++++++++-------
> 1 file changed, 13 insertions(+), 7 deletions(-)
>
> diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
> index 775083c92c..127ad2867a 100644
> --- a/gnu/packages/admin.scm
> +++ b/gnu/packages/admin.scm
> @@ -65,7 +65,6 @@
> ;;; Copyright © 2023 Nicolas Graves <ngraves@ngraves.fr>
> ;;; Copyright © 2023 Tomás Ortín Fernández <tomasortin@mailbox.org>
> ;;; Copyright © 2024 dan <i@dan.games>
> -;;; Copyright © 2024 Artyom V. Poptsov <poptsov.artyom@gmail.com>
> ;;;
> ;;; This file is part of GNU Guix.
> ;;;
> @@ -234,23 +233,30 @@ (define-public ktsuss
> (define-public aide
> (package
> (name "aide")
> - (version "0.16.2")
> + (version "0.18.8")
> (source
> (origin
> (method url-fetch)
> (uri (string-append "https://github.com/aide/aide/releases/download/v"
> version "/aide-" version ".tar.gz"))
> (sha256
> - (base32 "15xp47sz7kk1ciffw3f5xw2jg2mb2lqrbr3q6p4bkbz5dap9iy8p"))))
> + (base32 "0q1sp0vwrwbmw6ymw1kwd4i8walijwppa0dq61b2qzni6b32srhn"))))
> (build-system gnu-build-system)
> + (arguments
> + (list #:configure-flags #~(list "--with-posix-acl"
> + "--with-selinux"
> + "--with-xattr"
> + "--with-config-file=/etc/aide.conf")))
> (native-inputs
> - (list bison flex))
> + (list bison flex pkg-config))
> (inputs
> - (list libgcrypt
> + (list acl
> + attr
> + libgcrypt
> libgpg-error
> libmhash
> - `(,pcre "static")
> - pcre
> + libselinux
> + pcre2
> `(,zlib "static")
> zlib))
> (synopsis "File and directory integrity checker")
>
> base-commit: 6f72ad465c1e2df965e8d73b209497b4ef456527

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfr6klGDOXiwIdX/bO1qpk+Gi3/AFAmZZuXcACgkQO1qpk+Gi
3/Dx4w//UX6JwCQKXMN/8d01XyKRV6riP1l883ZlFt3vgVq4ITNKB5jMEifbWAyF
aWwsos0PZI6/qNqHCdzG8qyiuJ8DMN2Hvj0FGXS13ioKgPABFPL1thSIIDLfIWUR
PpqVHdjsV1Ps4NIc59aX8/MmrigfIEHFZbIdSdiDdw1OyQXbu0Tz/Kvrvf3Zlmx0
isUpiNLd0ec4y33JSAsQI5uq781fRXd7fDrt02Q1HycCACQKavHPhJeDPDFqfhSm
xCzuDnNakXp9Bs3idgAnj1f5akuuKv97RKT7SHQ3kfKV8gl8Tj2de3lBPe22qjq3
YRANu62Pjlf11IswgshbPWTCem6ah9qyOvMrO0qlsN/akRtPY7owU1ydb+wrJM1W
l1m22bEFI8RzZuakx/vgsYbDu7xVz7RpAiyXqx5LxFy+BEkoNz25cbrThywsvjgV
PNk80muxSLwUxhTQdYokOO620D2FLYuHA4muXXcs7ienaXvf7Xwdp3XWhcHuXP00
14xswcL3HiSR59nd4mWn9AgKdKofsR87VZq/Yk7VhxovhZxhEpaygKgy0/5OxnTJ
iGOHST+4n5DN1aZNOpCuSXnSRqL6sRT//6ghag8NXswR3V9gpmWpN6IScQVAMI0K
2p0Fny7FzLhGL+QWb+cMsS200k8zjuQ2+8n5SXwhSj+3iKSn4kk=
=+9zY
-----END PGP SIGNATURE-----

Closed
?
Your comment

Commenting via the web interface is currently disabled.

To comment on this conversation send an email to 71212@debbugs.gnu.org

To respond to this issue using the mumi CLI, first switch to it
mumi current 71212
Then, you may apply the latest patchset in this issue (with sign off)
mumi am -- -s
Or, compose a reply to this issue
mumi compose
Or, send patches to this issue
mumi send-email *.patch